Bug 89032 - [BDW/BSW/SKL Bisected]Piglit spec_OpenGL_1.1_infinite-spot-light fails
Summary: [BDW/BSW/SKL Bisected]Piglit spec_OpenGL_1.1_infinite-spot-light fails
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL: http://lists.freedesktop.org/archives...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-09 05:27 UTC by lu hua
Modified: 2015-02-16 02:14 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
output (42.33 KB, text/plain)
2015-02-09 05:27 UTC, lu hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-02-09 05:27:28 UTC
Created attachment 113267 [details]
output

System Environment:
--------------------------
Platform: BSW/SKL
Libdrm:         (master)libdrm-2.4.59-8-gccbb9aa887f992359335ecf2d26919b04e14e63f
Mesa:           (master)8030e269e911c4f90a44d9a77eb342dd2657d229
Xserver:         (master)xorg-server-1.17.0
Xf86_video_intel:  (master)2.99.917-94-g26ba2ba6e7169a099558092f31eaf97944cc3562
Libva:          (master)f9741725839ea144e9a6a1827f74503ee39946c3
Libva_intel_driver:     (master)9a20d6c34cb65e5b85dd16d6c8b3a215c5972b18
kernel: (drm-intel-nightly)b4442ee4e150506cebeee72249efc566c5f14bb

Bug detailed description:
---------------------------
It fails on BSW/SKL with mesa master branch, works well on 10.4 branch.
l_sp.c and l_sep.c also fail with the same bisect commit.

Bisect shows: 2335153ff2fae01d6294876a86d3eab59c6c4236 is the first bad commit
commit 2335153ff2fae01d6294876a86d3eab59c6c4236
Author:     Matt Turner <mattst88@gmail.com>
AuthorDate: Wed Jan 7 12:01:43 2015 -0800
Commit:     Matt Turner <mattst88@gmail.com>
CommitDate: Wed Feb 4 12:14:35 2015 -0800

    i965: Remove now unnecessary Gen8 CMP destination type override.

    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

Reproduce steps:
-------------------------
1. xinit
2. ./conform -s -v 2 -1 l_sed.c
Comment 1 lu hua 2015-02-09 05:37:21 UTC
Run ./bin/infinite-spot-light -auto
output:
libGL: OpenDriver: trying /opt/X11R7/lib/dri/i965_dri.so
Probe color at (0,0)
  Expected: 0.500000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
PIGLIT: {"result": "fail" }

Following cases fail with the same bisect commit:
Piglit:
glean_vertProg1-SGE_test
glean_vertProg1-SLT_test
spec_OpenGL_1.1_infinite-spot-light

Ogles1conform
l_sed.c
l_sep.c
l_sp.c

Reproduce steps:
-------------------------
1. xinit
2. ./bin/infinite-spot-light -auto
Comment 2 lu hua 2015-02-11 01:24:19 UTC
It also fails on BDW.
Comment 3 Matt Turner 2015-02-12 02:19:15 UTC
Patch on the list.
Comment 4 Ben Widawsky 2015-02-15 17:42:58 UTC
Matt, you need to change the status to NEEDINFO. Also, it would help if you provided a link for QA.
Comment 5 Matt Turner 2015-02-15 18:12:23 UTC
(In reply to Ben Widawsky from comment #4)
> Matt, you need to change the status to NEEDINFO. Also, it would help if you
> provided a link for QA.

I wasn't waiting on QA. And it's in the URL field.
Comment 6 Matt Turner 2015-02-15 20:26:53 UTC
I didn't realize it, but this one did actually get reviewed, so I've now committed it as:

commit 72b9f8db2a035b52dbd59af0d2a6441cbde11a4c
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Feb 12 02:01:49 2015 +0000

    i965/vec4/vp: Use vec4_visitor::CMP.

Should all be fixed now. Thanks!
Comment 7 lu hua 2015-02-16 02:14:35 UTC
Verified.Fixed.


bug/show.html.tmpl processed on Jan 16, 2017 at 17:18:52.
(provided by the Example extension).